View Issue Details

IDProjectCategoryView StatusLast Update
0028633LazarusPackagespublic2015-09-16 17:17
ReporterBart BroersmaAssigned ToBart Broersma 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformi386OSWindowOS VersionWin7
Product Version1.5 (SVN)Product Buildr49759 
Target Version1.6Fixed in Version1.6 
Summary0028633: TSynExporterHTML does not correctly calculate HTML Format information for Windows ClipBoard
DescriptionWhen exporting (and ExportAsText = False) the exporter inserts a header into the exported text, containing some information that the Windows clipboard needs (when you copy to it).
This info looks like:
Version:0.9
StartHTML:0000000105
EndHTML:0000001952
StartFragment:0000000152
EndFragment:0000001918

However, when you change the value of CreateHTMLFragment, the position of StartFragment, and the position of EndFragment change, but this is not reflected in the computed information.
Steps To ReproduceBuild and run attached sample.
Check or uncheck the appropriate checkbox, then click Button1.
Observe the output.

Note: you need to run the program from withing the folder where it's sourcecode is located.
TagsNo tags attached.
Fixed in Revisionr49820
LazTarget1.6
Widgetset
Attached Files

Activities

Bart Broersma

2015-09-07 20:29

developer  

export.zip (68,454 bytes)

Issue History

Date Modified Username Field Change
2015-09-07 20:29 Bart Broersma New Issue
2015-09-07 20:29 Bart Broersma File Added: export.zip
2015-09-07 20:30 Bart Broersma Steps to Reproduce Updated View Revisions
2015-09-07 20:36 Bart Broersma Description Updated View Revisions
2015-09-13 10:51 Bart Broersma Assigned To => Bart Broersma
2015-09-13 10:51 Bart Broersma Status new => assigned
2015-09-13 14:11 Bart Broersma Fixed in Revision => r49820
2015-09-13 14:11 Bart Broersma LazTarget - => 1.6
2015-09-13 14:11 Bart Broersma Status assigned => resolved
2015-09-13 14:11 Bart Broersma Fixed in Version => 1.6
2015-09-13 14:11 Bart Broersma Resolution open => fixed
2015-09-13 14:11 Bart Broersma Target Version => 1.6
2015-09-16 17:17 Bart Broersma Status resolved => closed